// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package models

type PagedArray interface {
	IsPagedArray()
}

type Categories struct {
	Last UUID        `json:"last"`
	Data []*Category `json:"data"`
}

func (Categories) IsPagedArray() {}

type Category struct {
	ID            UUID   `json:"id"`
	Organization  UUID   `json:"organization"`
	Base          bool   `json:"base"`
	Name          string `json:"name"`
	AllowNegative bool   `json:"allow_negative"`
}

type EditedCategory struct {
	Name          *string `json:"name"`
	AllowNegative *bool   `json:"allow_negative"`
}

type EditedGroup struct {
	Name        *string `json:"name"`
	Description *string `json:"description"`
	ImgPath     *string `json:"img_path"`
}

type EditedItem struct {
	Name         *string `json:"name"`
	Description  *string `json:"description"`
	ImgPath      *string `json:"img_path"`
	IsSpecial    *bool   `json:"is_special"`
	IsIndividual *bool   `json:"is_individual"`
}

type EditedOrganization struct {
	Name                 *string `json:"name"`
	ImgPath              *string `json:"img_path"`
	CategoriesEnabled    *bool   `json:"categories_enabled"`
	ReasonsEnabled       *bool   `json:"reasons_enabled"`
	StatisticsEnabled    *bool   `json:"statistics_enabled"`
	MarketEnabled        *bool   `json:"market_enabled"`
	AchievementsEnabled  *bool   `json:"achievements_enabled"`
	TeamplayEnabled      *bool   `json:"teamplay_enabled"`
	AnonymizationEnabled *bool   `json:"anonymization_enabled"`
}

type EditedPrice struct {
	CategoryID *UUID `json:"category_id"`
	Price      *int  `json:"price"`
}

type EditedPriceGroup struct {
	IsConjunction *bool `json:"is_conjunction"`
}

type EditedReason struct {
	Text *string `json:"text"`
}

type EditedReasonGrade struct {
	Change *int `json:"change"`
}

type EditedRole struct {
	Name    *string `json:"name"`
	Display *bool   `json:"display"`
}

type EditedRolePermission struct {
	Type     *int  `json:"type"`
	Resource *UUID `json:"resource"`
	Self     *bool `json:"self"`
	Create   *bool `json:"create"`
	Read     *bool `json:"read"`
	Update   *bool `json:"update"`
	Delete   *bool `json:"delete"`
}

type EditedUser struct {
	Email      *string `json:"email"`
	Surname    *string `json:"surname"`
	Name       *string `json:"name"`
	Patronymic *string `json:"patronymic"`
	Password   *string `json:"password"`
}

type Grade struct {
	ID           UUID          `json:"id"`
	User         UUID          `json:"user"`
	Category     UUID          `json:"category"`
	Value        int           `json:"value"`
	GradeChanges *GradeChanges `json:"grade_changes"`
}

type GradeChange struct {
	ID               UUID `json:"id"`
	GradeChangeGroup UUID `json:"grade_change_group"`
	Category         UUID `json:"category"`
	Change           int  `json:"change"`
}

type GradeChangeGroups struct {
	Last UUID                `json:"last"`
	Data []*GradeChangeGroup `json:"data"`
}

func (GradeChangeGroups) IsPagedArray() {}

type GradeChanges struct {
	Last UUID           `json:"last"`
	Data []*GradeChange `json:"data"`
}

func (GradeChanges) IsPagedArray() {}

type Grades struct {
	Last UUID     `json:"last"`
	Data []*Grade `json:"data"`
}

func (Grades) IsPagedArray() {}

type Groups struct {
	Last UUID     `json:"last"`
	Data []*Group `json:"data"`
}

func (Groups) IsPagedArray() {}

type Items struct {
	Last UUID    `json:"last"`
	Data []*Item `json:"data"`
}

func (Items) IsPagedArray() {}

type Members struct {
	Last UUID      `json:"last"`
	Data []*Member `json:"data"`
}

func (Members) IsPagedArray() {}

type NewCategory struct {
	Name          string `json:"name"`
	AllowNegative bool   `json:"allow_negative"`
}

type NewGradeChange struct {
	Category UUID `json:"category"`
	Change   int  `json:"change"`
}

type NewGroup struct {
	Name        string  `json:"name"`
	Description *string `json:"description"`
	ImgPath     *string `json:"img_path"`
}

type NewItem struct {
	Name         string `json:"name"`
	Description  string `json:"description"`
	ImgPath      string `json:"img_path"`
	IsSpecial    bool   `json:"is_special"`
	IsIndividual bool   `json:"is_individual"`
}

type NewOrganization struct {
	Name                 string  `json:"name"`
	ImgPath              *string `json:"img_path"`
	CategoriesEnabled    bool    `json:"categories_enabled"`
	ReasonsEnabled       bool    `json:"reasons_enabled"`
	StatisticsEnabled    bool    `json:"statistics_enabled"`
	MarketEnabled        bool    `json:"market_enabled"`
	AchievementsEnabled  bool    `json:"achievements_enabled"`
	TeamplayEnabled      bool    `json:"teamplay_enabled"`
	AnonymizationEnabled bool    `json:"anonymization_enabled"`
}

type NewPageArray struct {
	Last    *UUID `json:"last"`
	PerPage int   `json:"per_page"`
}

type NewPrice struct {
	CategoryID UUID `json:"category_id"`
	Price      int  `json:"price"`
}

type NewPriceGroup struct {
	IsConjunction bool `json:"is_conjunction"`
}

type NewReason struct {
	Text string `json:"text"`
}

type NewReasonGrade struct {
	Change int `json:"change"`
}

type NewRole struct {
	Name    string `json:"name"`
	Display bool   `json:"display"`
}

type NewRolePermission struct {
	Type     int   `json:"type"`
	Resource *UUID `json:"resource"`
	Self     bool  `json:"self"`
	Create   bool  `json:"create"`
	Read     bool  `json:"read"`
	Update   bool  `json:"update"`
	Delete   bool  `json:"delete"`
}

type NewUser struct {
	Email      string `json:"email"`
	Surname    string `json:"surname"`
	Name       string `json:"name"`
	Patronymic string `json:"patronymic"`
	Password   string `json:"password"`
}

type Organizations struct {
	Last UUID            `json:"last"`
	Data []*Organization `json:"data"`
}

func (Organizations) IsPagedArray() {}

type Price struct {
	ID           UUID `json:"id"`
	PriceGroupID UUID `json:"price_group_id"`
	CategoryID   UUID `json:"category_id"`
	Price        int  `json:"price"`
}

type PriceGroups struct {
	Last UUID          `json:"last"`
	Data []*PriceGroup `json:"data"`
}

func (PriceGroups) IsPagedArray() {}

type Prices struct {
	Last UUID     `json:"last"`
	Data []*Price `json:"data"`
}

func (Prices) IsPagedArray() {}

type Purchases struct {
	Last UUID        `json:"last"`
	Data []*Purchase `json:"data"`
}

func (Purchases) IsPagedArray() {}

type ReasonGrade struct {
	ID       UUID `json:"id"`
	Reason   UUID `json:"reason"`
	Category UUID `json:"category"`
	Change   int  `json:"change"`
}

type Reasons struct {
	Last UUID      `json:"last"`
	Data []*Reason `json:"data"`
}

func (Reasons) IsPagedArray() {}

type RolePermission struct {
	ID       UUID  `json:"id"`
	Role     UUID  `json:"role"`
	Type     int   `json:"type"`
	Resource *UUID `json:"resource"`
	Self     bool  `json:"self"`
	Create   bool  `json:"create"`
	Read     bool  `json:"read"`
	Update   bool  `json:"update"`
	Delete   bool  `json:"delete"`
}

type RolePermissions struct {
	Last UUID              `json:"last"`
	Data []*RolePermission `json:"data"`
}

func (RolePermissions) IsPagedArray() {}

type Roles struct {
	Last UUID    `json:"last"`
	Data []*Role `json:"data"`
}

func (Roles) IsPagedArray() {}

type Session struct {
	IP                    string `json:"ip"`
	AccessToken           string `json:"access_token"`
	AccessTokenExpityDate string `json:"access_token_expity_date"`
}

type Users struct {
	Last UUID    `json:"last"`
	Data []*User `json:"data"`
}

func (Users) IsPagedArray() {}
